Announcement Announcement Module
Collapse
No announcement yet.
grails help doesn't work Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • grails help doesn't work

    I downloaded grails-1.3.7 and when i run grails help i get the following error

    C:\grails-1.3.7>grails help
    Welcome to Grails 1.3.7 - http://grails.org/
    Licensed under Apache Standard License 2.0
    Grails home is set to: C:\grails-1.3.7

    Base Directory: C:\grails-1.3.7
    Resolving dependencies...
    Dependencies resolved in 1265ms.
    Error executing script Help: org.apache.tools.ant.helper.AntXMLContext.setCurre n
    tTargets(Ljava/util/MapV
    java.lang.NoSuchMethodError: org.apache.tools.ant.helper.AntXMLContext.setCurre n
    tTargets(Ljava/util/MapV
    at groovy.util.AntBuilder.<init>(AntBuilder.java:91)
    at groovy.util.AntBuilder.<init>(AntBuilder.java:73)
    at groovy.util.AntBuilder.<init>(AntBuilder.java:69)
    at org.codehaus.gant.GantBuilder.<init>(GantBuilder.j ava:39)
    at sun.reflect.NativeConstructorAccessorImpl.newInsta nce0(Native Method)

    at sun.reflect.NativeConstructorAccessorImpl.newInsta nce(NativeConstruct
    orAccessorImpl.java:39)
    at sun.reflect.DelegatingConstructorAccessorImpl.newI nstance(DelegatingC
    onstructorAccessorImpl.java:27)
    at java.lang.reflect.Constructor.newInstance(Construc tor.java:494)
    at org.codehaus.groovy.reflection.CachedConstructor.i nvoke(CachedConstru
    ctor.java:77)
    ....................................
    ....................................
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Nativ e Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(Native MethodAccessorImpl.
    java:39)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(De legatingMethodAcces
    sorImpl.java:25)
    at java.lang.reflect.Method.invoke(Method.java:585)
    at org.codehaus.groovy.grails.cli.support.GrailsStart er.rootLoader(Grail
    sStarter.java:234)
    at org.codehaus.groovy.grails.cli.support.GrailsStart er.main(GrailsStart
    er.java:262)
    Error executing script Help: org.apache.tools.ant.helper.AntXMLContext.setCurre n
    tTargets(Ljava/util/MapV


    Can someone help me to get out of this?

    Thanks,
    Bibin

  • #2
    It looks like you have a different version of Ant on the classpath from the one that Grails expects. Do you have an Ant JAR specified in a CLASSPATH environment variable? Or perhaps you have one in your JRE's 'endorsed' directory?

    Comment


    • #3
      yep, i had ant 1.6.2 and when i replaced it with ant 1.7.0, it fixed the issue.

      thanks!

      Comment

      Working...
      X